org.osgi.framework.namespace

## Class AbstractWiringNamespace

- java.lang.Object
- - org.osgi.resource.Namespace
  - - org.osgi.framework.namespace.AbstractWiringNamespace

Direct Known Subclasses:
  BundleNamespace, HostNamespace, PackageNamespace

    @ProviderType
    public abstract class AbstractWiringNamespace
    extends Namespace

Wiring Capability and Requirement Namespaces base class.

This class is the common class shared by all OSGi defined wiring namespaces. It defines the names for the common attributes and directives for the OSGi specified wiring namespaces.

The values associated with these keys are of type `String`, unless otherwise indicated.

Author:
  $Id: 6bbd0ddefc452b0ace2f43ec3aa67a687adcf03c $

### Field Summary

Fields
`static String` `CAPABILITY_BUNDLE_VERSION_ATTRIBUTE` The capability attribute contains the `Version` of the resource providing the capability if one is specified or `0.0.0` if not specified.
`static String` `CAPABILITY_MANDATORY_DIRECTIVE` The capability directive used to specify the comma separated list of mandatory attributes which must be specified in the `filter` of a requirement in order for the capability to match the requirement.

### Fields inherited from class org.osgi.resource.Namespace

`CAPABILITY_EFFECTIVE_DIRECTIVE, CAPABILITY_USES_DIRECTIVE, CARDINALITY_MULTIPLE, CARDINALITY_SINGLE, EFFECTIVE_ACTIVE, EFFECTIVE_RESOLVE, REQUIREMENT_CARDINALITY_DIRECTIVE, REQUIREMENT_EFFECTIVE_DIRECTIVE, REQUIREMENT_FILTER_DIRECTIVE, REQUIREMENT_RESOLUTION_DIRECTIVE, RESOLUTION_MANDATORY, RESOLUTION_OPTIONAL`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CAPABILITY_MANDATORY_DIRECTIVE

    public static final String CAPABILITY_MANDATORY_DIRECTIVE

The capability directive used to specify the comma separated list of mandatory attributes which must be specified in the `filter` of a requirement in order for the capability to match the requirement.

See Also:
  Constant Field Values

#### CAPABILITY_BUNDLE_VERSION_ATTRIBUTE

    public static final String CAPABILITY_BUNDLE_VERSION_ATTRIBUTE

The capability attribute contains the `Version` of the resource providing the capability if one is specified or `0.0.0` if not specified. The value of this attribute must be of type `Version`.

See Also:
  Constant Field Values